from django.urls import path
from . import views

urlpatterns = {
    path('onvif/device_service', views.without_number, name='without_number'),
    path('onvif/analytics', views.without_number, name='without_number'),
    path('onvif/event', views.without_number, name='without_number'),
    path('onvif/imaging', views.without_number, name='without_number'),
    path('onvif/media', views.without_number, name='without_number'),
    path('onvif/ptz', views.without_number, name='without_number'),
    path('onvif/onvif_ext', views.without_number, name='without_number'),
    path('onvif/analytics_service', views.without_number, name='without_number'),
    path('onvif/event_service', views.without_number, name='without_number'),
    path('onvif/imaging_service', views.without_number, name='without_number'),
    path('onvif/media_service', views.without_number, name='without_number'),
    path('onvif/ptz_service', views.without_number, name='without_number'),
    path('<str:number>/onvif/device_service', views.index, name='index'),
    path('<str:number>/onvif/analytics', views.index, name='index'),
    path('<str:number>/onvif/event', views.index, name='index'),
    path('<str:number>/onvif/imaging', views.index, name='index'),
    path('<str:number>/onvif/media', views.index, name='index'),
    path('<str:number>/onvif/ptz', views.index, name='index'),
    path('<str:number>/onvif/onvif_ext', views.index, name='index'),
    path('<str:number>/onvif/analytics_service', views.index, name='index'),
    path('<str:number>/onvif/event_service', views.index, name='index'),
    path('<str:number>/onvif/image_service', views.index, name='index'),
    path('<str:number>/onvif/imaging_service', views.index, name='index'),
    path('<str:number>/onvif/media_service', views.index, name='index'),
    path('<str:number>/onvif/ptz_service', views.index, name='index'),
    path('<str:number>/onvif/Analytics', views.index, name='index'),
    path('<str:number>/onvif/Event', views.index, name='index'),
    path('<str:number>/onvif/Events', views.index, name='index'),
    path('<str:number>/onvif/Imaging', views.index, name='index'),
    path('<str:number>/onvif/Media', views.index, name='index'),
    path('<str:number>/onvif/Subscription', views.index, name='index'),
    path('<str:number>/onvif/PTZ', views.index, name='index')
}